Attribute table: the icons for "Unselect all" and "Delete selected features" are too similar
Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18182

Description

Every time I open the attributes table I end up mixing these two buttons, because the icons are tool similar. It would be nice to change one

of them.

Related issues:

Duplicated by QGIS Application - Feature request # 11555: attribute table too... Closed 2014-11-04

Associated revisions

Revision 222978ee - 2014-11-22 12:44 PM - Nathan Woodrow

Fix #9604 - New icon for delete selected features

History

#1 - 2014-02-20 01:49 AM - Matthias Kuhn

How about changing the color red on the unselect icon to something else (yellow?), so the color red is reserved for potentially dangerous operations such

as deleting?

#2 - 2014-02-20 01:52 AM - Filipe Dias

I agree

#3 - 2014-02-23 12:25 PM - Anita Graser

- File delete_and_unselect.png added

For reference: the leftmost icon is "delete selected features" while the rightmost icon is "unselect all". There's barely any difference:

delete_and_unselect.png

#4 - 2014-02-23 12:31 PM - Anita Graser

- File edit_toolbar.png added

The delete selected icon is also used in the editing toolbar. In my opinion, the delete selected icon is inconsistent here. I think it should display the same

green polygon as featured in the other toolbar icons instead of the yellow rectangle.
edit_toolbar.png

#5 - 2014-02-24 12:21 PM - Robert Szczepanek

- File delete_and_unselect1.png added

- File edit_toolbar1.png added

We probably should simplify and more rely on the context. For delete (any object, selection) I would use just red X.

Unselect is more difficult. This operation applies always to selected, so we can skip 'yellow selection' and just put the action part. First I wanted to make it

gray, but then we end up with usability issue - is this icon active? Yellow is related to selection, so it should work.

delete_and_unselect1.png

And in edit toolbar we put just 'delete' (meaning - delete selected). It will not depended on vector type (polygon/line/point).

edit_toolbar1.png

Please don't look at the quality of images.

#6 - 2014-02-24 01:35 PM - Etienne Tourigny

+1 for both

#7 - 2014-02-25 02:04 AM - Alexandre Neto

- File DeleteSelectedFeature.jpg added

- File DeleteSelectiongMookup-01.png added

I would propose changes to both icons as well to improve the differences but try keep the logic to other icons.

For unselection, using a dotted rectangle around selection would emphasize the fact that we are talking about selections.

https://issues.qgis.org/attachments/6884/DeleteSelectiongMookup-01.png

Using a yellow polygon, would reflect the fact that only selected features are deleted, and will differenciate from delete part.

https://issues.qgis.org/attachments/6885/DeleteSelectedFeature.jpg

#8 - 2014-02-28 04:04 AM - Tobias Schneider

- File QGIS_select_and_unselect_icons.png added

I attached a picture of a suggestion.
I don't think rubber-band selection needs the mouse cursor in the icon. Most programs don't have that in my opinion.

#9 - 2014-02-28 01:13 PM - Tobias Schneider

- File QGIS_UI_redesign_suggested_groupings.png added

#10 - 2014-03-01 03:23 AM - Anita Graser

Thanks for your input @Tobias! Since you are raising a new issue in your second post, it would be good to open a new ticket. Otherwise this thread will

probably get too confusing if we start to discuss multiple issues at once. So please open a new ticket to discuss grouping.

#11 - 2014-03-01 04:57 PM - Anita Graser

- Target version set to Future Release - High Priority

- File delete_and_unselect2.png added

Using Alexandre Neto's suggestion for delete selected adds both consistency in the editing toolbar and a visible difference in the attribute table GUI:

delete_and_unselect2.png

Robert, would that be ok for you? Could you create the icon?

#12 - 2014-03-02 01:52 AM - Filipe Dias

Hi Anita,

I suggest changing the color of "delete selected features" from yellow to blue or green (or another tone of yellow). I understand it is important to have a

consistent set of icons but it would be easier to distinguish them with a quick glance.

#13 - 2014-03-02 06:30 AM - Anita Graser

I'm also fine with a green polygon in "delete selected features".

#14 - 2014-03-04 02:17 AM - Alexandre Neto

In fact, using the green color is more in line with what's used in the digitizing toolbars (new feature, move feature, rotate feature and delete part). Don't know
if those icons are not too similar to distinguish with a quick glance. The difference will lay almost only on the small icon in the right corner. And that might

become a new problem.

#15 - 2014-07-10 03:16 PM - Robert Szczepanek

- File unselect.png added

- File selected-delete.png added

Proposal is here:

http://trac.osgeo.org/osgeo/changeset/11569

Main issue with those two icons was that they are too similar. So the less similar - the better. As deselect is used not only here, it should be somehow

universal and simple (like for 16x16px icons in tables).

unselect.png

Delete selected is modified according Alexandre Neto suggestion.

selected-delete.png

#16 - 2014-07-11 12:31 AM - Filipe Dias

- Affected QGIS version changed from 2.0.1 to 2.4.0

Looks good to me.

#17 - 2014-07-11 12:55 AM - Jan Lippmann

- File some_selections_buttons_arcgis10.png added

hello,

another idea would be, if one is oriented to arcgis. i've added a screenshot with some selectiontools.

i think its important to think about the color. in arcgis the default selectioncolor is: 0 255 255 (RGB). this color is very good for selections because the color

is not used often for symbolization and the selection of very small features are very good visible in the map, compared to other colors. so this selection

color could also be the color for every selectiontoolbuttons in qgis. additional the look and feel, if i switch between qgis and arcgis, is better.

what do you think?

jan

#18 - 2014-07-11 02:47 AM - Anita Graser

@Robert +1 from me. It's  good to have two very different icons for these two actions. Also, since it's kept in yellow, the connection the selection concept

should be quite straightforward. Thanks!

#19 - 2014-07-11 02:50 AM - Nathan Woodrow

Unselect is fine but in think it needs the cursor in there to link it to select. Still not a fan of the delete though
#20 - 2014-07-11 03:11 AM - Nyall Dawson

I agree with Nathan about the unselect icon. I also think the "delete" symbol in the delete icon should be much more prominent - at the moment it still looks

more like a selection tool than a delete tool. Making the red delete box larger and using a polygon shape in the background (like Anita's mockup in #11)

would probably fix this.

#21 - 2014-07-11 03:51 AM - Jan Lippmann

@anita,

what do you think about the color (RGB:0 255 255) for selectionbuttons?

influences are not desirable from arcgis?

#22 - 2014-07-11 03:52 AM - Tobias Schneider

I would prefer a recycling bin over a red x. Especially on mobile devices the recycling bin seems to be the design paradigm for deleting something.

#23 - 2014-07-11 04:02 AM - Nathan Woodrow

Jan Lippmann wrote:

@anita,

what do you think about the color (RGB:0 255 255) for selectionbuttons?

influences are not desirable from arcgis?

I prefer the yellow as we have now.  That is already an established colour so no need to change that aspect. The select area when using the tool in the

master now also matches the colour of the buttons too.

#24 - 2014-07-11 04:47 AM - Anita Graser

@Jan: The idea of the Arcgis icons is not bad but it would require changes to all the other select icons we are currently using. I'd like to keep work load

low.

@Tobias: Do you know of a recycling bin icon which would work in the tiny space that we have available? I think "x" is quite well established for deletion.

@Nyall: +1 for having a polygon in the background of the Delete selected tool. <== @Robert would that be ok for you?

#25 - 2014-07-11 07:00 AM - Tobias Schneider

@Anita: With the current icons, the small inlet is really too small to fit a recycle-bin. I tried around a little bit but the readability is impossible.

Of course, if the interface looses a few icons, we could also make 30x30px (for a standard pixel density screen) icons which would be a boost to

readability.

#26 - 2014-07-11 11:55 AM - Robert Szczepanek
- File polygon-selected-delete.png added

Here is yellow version "delete selected polygon" 

polygon-selected-delete.png

http://trac.osgeo.org/osgeo/changeset/11570

Time just after release is perfect for such survey and testing,

so let's try it ...

#27 - 2014-11-15 03:33 PM - Anita Graser

- Affected QGIS version changed from 2.4.0 to master

Please go ahead an replace the icon with Robert's new one #9604-26

#28 - 2014-11-15 04:12 PM - Nathan Woodrow

IMO the red bin is still better then anything with a more complex symbol.  The proposed on still feels like a unselect to me and isn't much of a change.  A bin

is a standard delete icon in a lot of applications and is most platforms.

#29 - 2014-11-15 04:56 PM - Anita Graser

I see. So only a bin, no composite symbol ... Could work both in the attribute table and in the editing toolbar.

Do we already have a red bin icon anywhere which we could reuse here or do we need to make one?

Maybe similar to https://www.iconfinder.com/icons/175162/full_trash_icon#size=32

#30 - 2014-11-15 04:58 PM - Nathan Woodrow

I have one I can attach. I will find it.

#31 - 2014-11-15 05:05 PM - Nathan Woodrow

- File delete.svg added

- File remove.svg added

Here is two.  They are both svgs so we can change the colour if needed.

#32 - 2014-11-16 01:53 AM - Anita Graser

- File remove.png added

- File trash.png added

- File delete.png added

remove.png with remove.svg
delete.png with delete.svg

trash.png with the trash can from iconfinder

I have a slight preference for remove since it seems to be the simplest icon which works well for small buttons.

#33 - 2014-11-16 02:01 AM - Filipe Dias

Me too, the "remove" icon is easier to tell apart

#34 - 2014-11-22 03:45 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"222978ee7b0b56c4c5c441e8d7d28c01061671de".

#35 - 2014-11-22 03:52 AM - Nathan Woodrow

I have gone with a slightly different icon to the ones I posted although it's pretty much the same.  The remove icon was really too much red and was a bit

harsh around all the others on the row.

This is what is there now:

size 16

http://i.imgur.com/J9d8wnkl.jpg

size 24

http://i.imgur.com/e8gb5H6l.jpg

I think this one scales nicely and stands out better on the edit toolbar and the attribute table.

#36 - 2014-11-22 05:24 AM - Anita Graser

Thanks Nathan!
